Create ACH Account

Use the /achaccount/create endpoint to associate an external bank account with a given account. Please note: an ACH account must exist for a customer before they can initiate ACH pushes or pulls to external bank accounts. Use the Create ACH Transfer endpoint to originate an ACH transaction to move funds between a customer account and external bank account linked via this endpoint.

A linkedInstitutionAccountId can be provided in lieu of bank account details if your user has linked an institution and account via the Complete Linked Institution Session endpoint.

ACH transaction history for a customer can be retrieved via the List ACH Requests endpoint.

Body Params

POST /v1/achaccount/create Request body

string

The session key for the user. Created via Create ZTM Session and used for ZTM checks if your program is configured for ZTM.

boolean

Indicates whether to bypass the ZTM checks if your program is configured for ZTM.

string
required

The account's unique ID within Spidr

string

The account number of the account at the external bank.

string
length between 9 and 9

The routing number for the bank where the account is housed.

string

Pass in the linked institution account ID

string
required

Description for the external account. This helps the user identify the account that's linked.

string | null

First name of the external account holder. Defaults to account holder's first name.

string | null

Last name of the external account holder. Defaults to account holder's last name.

string
enum

Type of ACH account being linked. Options are 'checking', 'savings', or 'money market.'

Allowed:
Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json